cdac.medinfo.sdk.hl7282.utils

## Class HL7Exception

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - cdac.medinfo.sdk.hl7282.utils.HL7Exception

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    AuxillaryProtocolException, BatchException, ConnectionClosedException, ConstrainViolationException, DelimiterMissingException, DumpException, FieldMissingException, FragmentException, GroupMissingException, InvalidComponentTypeException, InvalidDataTypeException, InvalidDelimiterException, InvalidDictionaryException, InvalidFieldException, InvalidLengthException, InvalidMessageDictionaryException, InvalidMessageException, InvalidSegmentException, InvalidSegmentSetException, InvalidSequenceException, InvalidTransactionException, InvalidValueException, LoggerException, MessageLengthLimitException, MessageNotSupportedException, MissingValueException, ParseException, ProcessFailedException, PubSubException, SegmentMissingException, SegmentNotSupportedException, SerializeException, UserTableException, ValueNotFoundException

      public class HL7Exception
      extends java.lang.RuntimeException

  HL7Exception is the super class of all HL7 exceptions those can be thrown during the execution of the method.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HL7Exception()` Constructs a new HL7 Exception with null as its detail message
    `HL7Exception(java.lang.String strMessage)` Constructs a new HL7 Exception with the specified detail message.
    `HL7Exception(java.lang.String strMessage, java.lang.Throwable cause)` Constructs a new HL7 Exception with the specified detail message and cause
    `HL7Exception(java.lang.Throwable cause)` Constructs a new HL7 Exception with the specified cause.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EnumErrorCode` | `getErrorCode()` Retrieves Error Code.
    `java.lang.String` | `getMessage()` Returns the detail message string of this throwable.
    `void` | `setErrorCode(EnumErrorCode enumErrorCode)` Sets Error Code corresponding to exception occured.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HL7Exception

          public HL7Exception()

      Constructs a new HL7 Exception with null as its detail message

    - #### HL7Exception

          public HL7Exception(java.lang.String strMessage,
                      java.lang.Throwable cause)

      Constructs a new HL7 Exception with the specified detail message and cause
      Parameters:
        `strMessage` - - the detail message
        `cause` - - the cause

    - #### HL7Exception

          public HL7Exception(java.lang.Throwable cause)

      Constructs a new HL7 Exception with the specified cause. This constructor is useful for runtime exceptions that are little more than wrappers for other throwables.
      Parameters:
        `cause` - - the cause (A null value is permitted, and indicates that the cause is nonexistent or unknown.)

    - #### HL7Exception

          public HL7Exception(java.lang.String strMessage)

      Constructs a new HL7 Exception with the specified detail message.
      Parameters:
        `strMessage` - - the detail message.

  - ### Method Detail

    - #### setErrorCode

          public void setErrorCode(EnumErrorCode enumErrorCode)

      Sets Error Code corresponding to exception occured.
      Parameters:
        `enumErrorCode` - contains errror codes raised by SDK.

    - #### getErrorCode

          public EnumErrorCode getErrorCode()

      Retrieves Error Code.
      Returns:
        EnumErrorCode - undelying Error Code

    - #### getMessage

          public java.lang.String getMessage()

      Returns the detail message string of this throwable.
      Overrides:
        `getMessage` in class `java.lang.Throwable`
      Returns:
        String - the detail message string of this Throwable instance (which may be null).